Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Accept Class Reference

This class is a factory for starting off asynchronous accepts on a listen handle. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Accept

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Accept:

[legend]
List of all members.

## Public Methods
| ACE_WIN32_Asynch_Accept (ACE_WIN32_Proactor *win32_proactor)
| Constructor.
int | accept (ACE_Message_Block &message_block, u_long bytes_to_read, ACE_HANDLE accept_handle, const void *act, int priority, int signal_number = 0)
| ~ACE_WIN32_Asynch_Accept (void)
| Destructor.
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor)
int | cancel (void)
ACE_Proactor* | proactor (void) const
| Return the underlying proactor.

## Detailed Description

This class is a factory for starting off asynchronous accepts on a listen handle.

Once <open> is called, multiple asynchronous s can started using this class. A ACE_Asynch_Accept::Result will be passed back to the <handler> when the asynchronous accept completes through the callback.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Accept::ACE_WIN32_Asynch_Accept ( | ACE_WIN32_Proactor * win32_proactor )

| Constructor.

ACE_WIN32_Asynch_Accept::~ACE_WIN32_Asynch_Accept ( | void )

| Destructor.

## Member Function Documentation

int ACE_WIN32_Asynch_Accept::accept ( | ACE_Message_Block & message_block,
| u_long bytes_to_read,
| ACE_HANDLE accept_handle,
| const void * act,
| int priority,
| int signal_number = 0 )

| This starts off an asynchronous accept. The asynchronous accept call also allows any initial data to be returned to the <handler>. Upto <bytes_to_read> will be read and stored in the <message_block>. The will be used for the call. If ( == INVALID_HANDLE), a new handle will be created. <message_block> must be specified. This is because the address of the new connection is placed at the end of this buffer.

int ACE_WIN32_Asynch_Accept::cancel ( | void )

| This cancels all pending accepts operations that were issued by the calling thread. The function does not cancel asynchronous operations issued by other threads. Reimplemented from ACE_WIN32_Asynch_Operation.

int ACE_WIN32_Asynch_Accept::open ( | ACE_Handler & handler,
| ACE_HANDLE handle,
| const void * completion_key,
| ACE_Proactor * proactor )

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), will be called on the <handler> to get the correct handle. Reimplemented from ACE_WIN32_Asynch_Operation.

ACE_Proactor * ACE_WIN32_Asynch_Accept::proactor ( | void ) const

| Return the underlying proactor. Reimplemented from ACE_WIN32_Asynch_Operation.

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp